<h1>Search Posts</h1>
<%= link_to 'All Posts', posts_path %>
<%= form_tag search_search_path, method: :post do %>
  <%= text_field_tag :key %>
  <%= submit_tag "search" %>
<% end %>
<% unless @results.nil? %>
<h3>Results</h3>
  <% if @results.empty? %>
    <p>No results found</p>
  <% else %>
    <ol>
      <% @results.each do |res| %>
        <li><%= res.title %>: <%= res.text %></li>
      <% end %>
    </ol>
  <% end %>
<% end %>
